You are Here:
Linux Lite 5.0 Final is now available for download and installation



[ SOLVED ] i can not install viber on linux lite 4.2 64 bit

Author (Read 2552 times)

0 Members and 1 Guest are viewing this topic.

i can not install viber on linux lite 4.2 64 bit
« on: March 24, 2019, 06:49:23 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
Hallo there i try to install viber on my system but i fail
here is what i do do far :


I downloaded the viber for ubuntu from here https://www.viber.com/download/ and i try to install :

first with double clik on it in my desktop and the erros is that :
https://drive.google.com/open?id=12ZnoIy8ZSviP6_O3G6jXvgaJ2KSlGopX


and then o try:
Code: [Select]
sudo gdebi viber.deb

and the output is

Code: [Select]
[sudo] password for musicfun:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package: viber
Version: 7.0.0.1035
Section: non-free/net
Priority: extra
Architecture: amd64
Depends: libxss1, libssl1.0.0, libpulse0, libasound2, libnss3, libxcomposite1, libxcursor1, libxdamage1, libcurl3, libgstreamer-plugins-base1.0-0, libgstreamer1.0-0, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio, gstreamer1.0-libav
Installed-Size: 421336
Conflicts: Viber (<< 7.0.0.1035)
Replaces: Viber (<< 7.0.0.1035)
Maintainer: Viber Media Inc <support@viber.com>
Homepage: http://viber.com
Description: Free Text & Calls.
 Join Viber for Desktop to for a one-of-a-kind calling and messaging experience right on your computer!
 With Viber for Desktop you can make free international calls from your computer to any other Viber user, resting assured your calls and messages are protected by end-to-end encryption.
 Feel free to call, text, send photos and video messages, play YouTube videos and express yourself with stickers and GIFs no matter your location.
 Viber for Desktop also provides you with Viber Outís low-rate calling plans to any landline or mobile so you can reach out to friends and family who donít have an internet connection or cell phone.
 Easily sync between your mobileís chat history and contact list in order to start enjoying Viber for Desktop.
 

Αποτυχία ανοίγματος του πακέτου λογισμικού
Το πακέτο μπορεί να είναι κατεστραμμένο ή δεν σας επιτρέπεται να ανοίξετε το αρχείο. Ελέγξτε τα δικαιώματα του αρχείου.

and i put that on google translate for
English

Code: [Select]
[sudo] password for musicfun:
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
Package: viber
Version: 7.0.0.1035
Section: non-free / net
Priority: extra
Architecture: amd64
Depends: libxss1, libssl1.0.0, libpulse0, libasound2, libnss3, libxcomposite1, libxcursor1, libxdamage1, libcurl3, libgstreamer-plugins-base1.0-0, libgstreamer1.0-0, gstreamer1.0- plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio, gstreamer1.0-libav
Installed-Size: 421336
Conflicts: Viber (<< 7.0.0.1035)
Replaces: Viber (<< 7.0.0.1035)
Maintainer: Viber Media Inc <support@viber.com>
Homepage: http://viber.com
Description: Free Text & Calls.
 Join Viber for Desktop for one-of-a-kind calling and messaging experience right on your computer!
 With Viber for Desktop you can make free international calls from your computer to any other Viber user, rest assured your calls and messages are protected by end-to-end encryption.
 Feel free to call, text, send photos and video messages, play YouTube videos and express yourself with stickers and GIFs no matter your location.
 Viber for Desktop also provides Viber Out's low-cost calling plans to any landline or mobile so you can reach out to friends and family who do not have an internet connection or cell phone.
 Easily sync between your chat history and contact list to start enjoying Viber for Desktop.
 

Failed to open the software package
The package may be corrupted or you are not allowed to open the file. Check the file permissions.

and now i am out of 
ideas so can somebody help
thenx :)




 
Last Edit: March 27, 2019, 05:18:32 PM by Giorgos Georgitsis
 


Re: i can not install viber on linux lite 4.2 64 bit
« Reply #1 on: March 24, 2019, 08:03:01 AM »
 

Artim

  • Always Learning
  • PayPal Supporter
  • I come here a lot
  • *****
  • 412
    Posts
  • Country: us
  • Reputation: 60
  • small but still awesome
    • Confessions of a Technophobe

  • Linux Lite: 3.8 64bit

  • CPU: Intel(R) Core(TM)2 Duo CPU T7300 @ 2.00GHz

  • MEMORY: 3Gb

  • VIDEO CARD: Mobile GM965/GL960 Integrated Graphics Controller

  • Kernel: 5.x
It looks like it's missing dependencies.  Right-click on the downloaded file and select open with gdebi.  You then enter your root password when prompted.

I would really suggest not installing software that isn't in the repositories, but if you must, it's better done through a PPA than just downloaded from a web site.  It won't be updated if you just add the .deb file without a PPA.  Use caution!

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #2 on: March 24, 2019, 09:18:55 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
ok then is viber some repositoies ? if it is i install it frim there

and yes i did that with  Right-click  but its like double clik i have the same error

i put here error here after i use the google translate :

"viber.deb is not a Debian package

the MIME type of this authority is 'application / x-debian-package' and can not be installed on the system"
(this is the error from desktop)

bat if the viber is not in the repositories i can install it via wine ? is that mose safe ? for my computer ?
 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #3 on: March 24, 2019, 09:25:50 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7646
    Posts
  • Country: nz
  • Reputation: 722
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Code: [Select]
sudo dpkg -i viber.deb


Code: [Select]
sudo apt-get -f install

Sent from my Mobile phone using Tapatalk

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #4 on: March 24, 2019, 10:33:33 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
i did that but i have an error :(

Code: [Select]
sudo dpkg -i viber.deb
Selecting previously unselected package viber.
(Ανάγνωση βάσης δεδομένων ... 343013 files and directories currently installed.)
Preparing to unpack viber.deb ...
chown: αδυναμία πρόσβασης του '/home/musicfun/Documents/ViberDownloads': Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
Unpacking viber (7.0.0.1035) ...
dpkg: dependency problems prevent configuration of viber:
 viber εξαρτάται από libcurl3. Ωστόσο:
  Το πακέτο libcurl3 δεν είναι εγκατεστημένο.
 viber εξαρτάται από gstreamer1.0-plugins-ugly. Ωστόσο:
  Το πακέτο gstreamer1.0-plugins-ugly δεν είναι εγκατεστημένο.
 viber εξαρτάται από gstreamer1.0-libav. Ωστόσο:
  Το πακέτο gstreamer1.0-libav δεν είναι εγκατεστημένο.

dpkg: error processing package viber (--install):
 προβλήματα εξάρτησης - αφήνεται μη ρυθμισμένο
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Προέκυψαν σφάλματα κατά την επεξεργασία του:
 viber

so no proper install there :(

and with google translate

Code: [Select]
sudo dpkg -i viber.deb
Selecting previously unselected package viber.
(Read database ... 343013 files and directories currently installed.)
Preparing to unpack viber.deb ...
chown: unable to access '/ home / musicfun / Documents / ViberDownloads': No such file or directory
Unpacking viber (7.0.0.1035) ...
dpkg: dependency problems prevent configuration of viber:
 viber depends on libcurl3. However:
  The libcurl3 package is not installed.
 viber is dependent on gstreamer1.0-plugins-ugly. However:
  The gstreamer1.0-plugins-ugly package is not installed.
 viber is dependent on gstreamer1.0-libav. However:
  The gstreamer1.0-libav package is not installed.

dpkg: error processing package viber (--install):
 dependency problems - left unregulated
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Errors occurred while editing:
 viber


 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #5 on: March 24, 2019, 11:33:53 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7646
    Posts
  • Country: nz
  • Reputation: 722
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
I don't see that you have run the second command there.

Sent from my Mobile phone using Tapatalk

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #6 on: March 24, 2019, 11:38:34 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
yea sorry
Code: [Select]
sudo apt-get -f install
Read List of Packages ... Completed
Construction of Dependency Tree
Read description of the current status ... Completed
Correction of kits ... Ready
The following packages were automatically installed and no longer needed:
  libcpufreq0 linux-headers-4.15.0-38 linux-headers-4.15.0-38-generic linux-image-4.15.0-38-generic
  linux-modules-4.15.0-38-generic linux-modules-extra-4.15.0-38-generic psensor-common
Use 'sudo apt autoremove' to delete them.
The following packages will REMOVE:
  viber
0 upgraded, 0 new installed, 1 removed and 1 not upgraded.
1 not fully installed or removed.
After this operation, 431 MB of disk space will be released.
Would you like to proceed? [V / v] y
(Read database ... 344627 files and directories currently installed.)
Removing Viber (7.0.0.1035) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...

here it is
 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #7 on: March 24, 2019, 12:23:21 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7646
    Posts
  • Country: nz
  • Reputation: 722
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
At some point you've removed the libcurl3 package. Install that and then try my 2 commands again.

Sent from my Mobile phone using Tapatalk

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #8 on: March 24, 2019, 12:47:12 PM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
ok i did that the viber is running but the "install update" they say I'm not connected to the internet and that works before so evry time i try to install viber somthings brake :(

for the record i install the libcurl3 via
Code: [Select]
sudo apt-get install libcurl3

any tips on that one ?

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #9 on: March 24, 2019, 01:22:43 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7646
    Posts
  • Country: nz
  • Reputation: 722
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Install libcurl3 again to be sure. Then do Updates.

Sent from my Mobile phone using Tapatalk

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #10 on: March 24, 2019, 02:01:51 PM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
i did that and nothing change

Code: [Select]
sudo apt-get install libcurl3
[sudo] password for musicfun:
Read List of Packages ... Completed
Construction of Dependency Tree
Read description of the current status ... Completed
libcurl3 is already the newest version (7.58.0-2ubuntu2).
The following packages were automatically installed and no longer needed:
  fluid-soundfont-gm fluid-soundfont-gs gir1.2-gdesktopenums-3.0 gir1.2-gnomedesktop-3.0 icoutils lib32gcc1 libc6-i386
  libcpufreq0 linux-headers-4.15.0-38 linux-headers-4.15.0-38-generic linux-image-4.15.0-38-generic
  linux-modules-4.15.0-38-generic linux-modules-extra-4.15.0-38-generic psensor-common python3-evdev
Use 'sudo apt autoremove' to delete them.
0 upgraded, 0 new installed, 0 removed and 0 upgraded.
 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #11 on: March 24, 2019, 02:19:38 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7646
    Posts
  • Country: nz
  • Reputation: 722
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Please read my posts completely, again you've missed the second instruction.

Sent from my Mobile phone using Tapatalk

 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #12 on: March 25, 2019, 11:24:12 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
what do you mean "do updates" ?
i am not pro user and mayby i dont understant exacly i run the update from menu and that dont work also i did
Code: [Select]
sudo apt0get update if that is what do you mean but i dont see a change.
on "update"
 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #13 on: March 25, 2019, 06:50:28 PM »
 

arxontas

  • Occasional Poster
  • **
  • 55
    Posts
  • Country: ca
  • Reputation: 6
  • Linux Lite Member

  • Linux Lite: 3.8 32bit

  • CPU: AMD Athlon (TM) 64 processor 3500+

  • MEMORY: 3Gb

  • VIDEO CARD: OpenGL Renderer Mesa DRI Intel(R) G33 x86/MMX/SSE2
After you install libcurl3
Giorgie.....
Pare tis entoles mia mia kai proxora
teleftea
dose tin entoli
sudo apt-get update


arxontas
arxontas

arxontas
 

Re: i can not install viber on linux lite 4.2 64 bit
« Reply #14 on: March 26, 2019, 03:59:13 AM »
 

Giorgos Georgitsis

  • New to Forums
  • *
  • 37
    Posts
  • Country: 00
  • Reputation: 0

  • Linux Lite: 4.4 64bit

  • CPU: intel core 2 duo t5500 @1.66

  • MEMORY: 2Gb
ποια εντολή δεν κατάλαβα , παίζει να τις γράψεις με την σειρά ; πρώτα εγκατέστησα το  libcurl3  και μετα το viber και μετά έτρεξα το
Code: [Select]
sudo apt-get update έκανα κάτι λάθος ( δεν ξέρω πολλά από linux αλλά θέλω να μάθω)
το viber δουλεύει απλά δεν τρέχουν τα update από το menu αυτός ο manager από το menu που κάνει τα update αυτός δεν τρέχει (απλά τα αγγλικά μου είναι πολύ κακά)


which command I did not understand,  can you please  write them in the order? first installed libcurl3 and after viber and then I ran it
Code: [Select]
sudo apt-get update [/ code]
I did something wrong (I do not know much of linux but I want to know)
The viber works just does not run the update from the menu this manager from the menu that makes the update
Sorry for my greek is for [member=5288]arxontas[/member] who writes a post in greek with latin characters  :D

 


Tags:
 


Linux Lite 5.0 Final is now available for download and installation